Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.crosstabs.xml
Class JRCrosstabMeasureFactory

    java.lang.Object
      net.sf.jasperreports.engine.xml.JRBaseFactory
          net.sf.jasperreports.crosstabs.xml.JRCrosstabMeasureFactory

All Implemented Interfaces:
  org.apache.commons.digester.ObjectCreationFactory

    public class JRCrosstabMeasureFactory

extends JRBaseFactory

Version:
  $Id: JRCrosstabMeasureFactory.java 3616 2010-03-24 14:20:41Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Field Summary
`static java.lang.String` | `ATTRIBUTE_calculation`
`static java.lang.String` | `ATTRIBUTE_class`
`static java.lang.String` | `ATTRIBUTE_incrementerFactoryClass`
`static java.lang.String` | `ATTRIBUTE_name`
`static java.lang.String` | `ATTRIBUTE_percentageCalculatorClass`
`static java.lang.String` | `ATTRIBUTE_percentageOf`
`static java.lang.String` | `ELEMENT_measure`
`static java.lang.String` | `ELEMENT_measureExpression`

Fields inherited from class net.sf.jasperreports.engine.xml.JRBaseFactory
`digester`

Constructor Summary
`JRCrosstabMeasureFactory()`

Method Summary
`java.lang.Object` | `createObject(org.xml.sax.Attributes attributes)`

Methods inherited from class net.sf.jasperreports.engine.xml.JRBaseFactory
`getDigester, setDigester`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ELEMENT_measure

    public static final java.lang.String ELEMENT_measure

See Also:
  Constant Field Values

### ELEMENT_measureExpression

    public static final java.lang.String ELEMENT_measureExpression

See Also:
  Constant Field Values

### ATTRIBUTE_name

    public static final java.lang.String ATTRIBUTE_name

See Also:
  Constant Field Values

### ATTRIBUTE_class

    public static final java.lang.String ATTRIBUTE_class

See Also:
  Constant Field Values

### ATTRIBUTE_calculation

    public static final java.lang.String ATTRIBUTE_calculation

See Also:
  Constant Field Values

### ATTRIBUTE_incrementerFactoryClass

    public static final java.lang.String ATTRIBUTE_incrementerFactoryClass

See Also:
  Constant Field Values

### ATTRIBUTE_percentageOf

    public static final java.lang.String ATTRIBUTE_percentageOf

See Also:
  Constant Field Values

### ATTRIBUTE_percentageCalculatorClass

    public static final java.lang.String ATTRIBUTE_percentageCalculatorClass

See Also:
  Constant Field Values

Constructor Detail

### JRCrosstabMeasureFactory

    public JRCrosstabMeasureFactory()

Method Detail

### createObject

    public java.lang.Object createObject(org.xml.sax.Attributes attributes)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com